import javafx.application.Application;
import javafx.application.Platform;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.Background;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import javafx.stage.StageStyle;

public class StageStyleDemo extends Application {
    @Override
    public void start(Stage stage) {
        Button btn = new Button();
        btn.setText("OK");
        btn.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent event) {
                Platform.exit();
            }
        });
        
        StackPane root = new StackPane();
        root.getChildren().add(btn);
        
        Scene scene = new Scene(root, 150, 50);
        // シーンの背景を透明にする
        scene.setFill(null);
        
        stage.setTitle("StageStyle Demo");
        stage.setScene(scene);

        // StageStyleの設定
        stage.initStyle(StageStyle.DECORATED);
//        stage.initStyle(StageStyle.UTILITY);
//        stage.initStyle(StageStyle.UNDECORATED);
//        stage.initStyle(StageStyle.TRANSPARENT);
        
        stage.show();
    }

    public static void main(String... args) {
        launch(args);
    }
}
